Jump to content
AVIC411.com
godzilla

New Release F20BT F30BT F40Bt F920BT F930BT F840BT Etc 2017 Release

Recommended Posts

On 21/2/2018 at 2:30 PM, RonS said:

If you are using the files provided by godzilla, yes. you must install the shortfuse hack. Then enter PASSWORDPASSWORD when asked for the Pioneer code.

ok can i extract the shortfuse zip and the update on the same sd card or should  have 2 different? thanks for your patience

Share this post


Link to post
Share on other sites
11 minutes ago, PAGLIA62 said:

ok can i extract the shortfuse zip and the update on the same sd card or should  have 2 different? thanks for your patience

First install shortfuse (read the 1st post in that thread). Then you can reformat and use the SD for installing the maps. Do not try to do both at the same time. Do not have any files on the map SD except the files extracted for the 2017 zip. Do not modify any of those files except if you need to replace CARDINFO,CIF. If you don't know what I'm referring to, read the thread.

Share this post


Link to post
Share on other sites
22 hours ago, RonS said:

First install shortfuse (read the 1st post in that thread). Then you can reformat and use the SD for installing the maps. Do not try to do both at the same time. Do not have any files on the map SD except the files extracted for the 2017 zip. Do not modify any of those files except if you need to replace CARDINFO,CIF. If you don't know what I'm referring to, read the thread.

Success, a Big Big thanks to all especially to RonS

Share this post


Link to post
Share on other sites
On 18.12.2017 at 1:29 PM, crecik30 said:

Hello,

I've run scipt on my f9220bt, then i tried to update my radio using update from post #101 (2017 Europe Map Update for Pioneer AVIC-F920BT, 9220BT,940BT, 40BT,20BT). Every time i have the same effect, at 93% i got information about wrong sd card. I've tried 3 cards and nothing changed. Actually i have 2015 maps and i restored original RenewalIFLib.dll files. I've also tied to install this update without replacing these dll's but then must provide pass ... Anybody heard about 2017 update like 2015 (without having any changes in radio fioles directly) ?

Hello, I have the same problem as you with my F10BT. Update stopped at 93 percent. Now I have tried it with godzillas files. But then the yunit says "installing aborted, try again?" The unit does not start. Is there a way to do a fresh installation with godzillas files?

 

Thank you for your help.

 

Daniel

Share this post


Link to post
Share on other sites
On 30-8-2017 at 11:28 PM, TimdeJongh said:

Slagen !!! Ik heb mijn F940BT bijgewerkt, ik bewerk RenewalIFLib.dll van de eenheid en vervang deze. Dan kopieer ik de update op de SD-kaart en voer het uit met de Pioneer PW: PASSWORDPASSWORD eindig 25 minuten.

 

Offset 000019F0: 0350A0E3 vervangen met 0050A0E3
Offset 00001A10: 0350A0E3 vervangen met 0050A0E3
Offset 00001AD8: 0350A0E3 vervangen met 0050A0E3
Offset 00001C1C: 0250A0E3 vervangen met 0050A0E3
Offset 00001C24: 0150A0E3 vervangen met 0050A0E3
Offset 00001A3C: 0350A0E3 vervangen met 0050A0E3

 

Nu heb ik de kaarten van 2017 uit Europa.

 

Heel erg bedankt aan godzilla.

Hello Tim,

Could you send me your Renewall file. I also have an F940BT but update does not work with my own edited Renewall file. Did you also fit your CARDINFO? Thanks in advance

Freddy

Share this post


Link to post
Share on other sites


Problem solved. my SD card was too big. (16 GB) With an SD of 4 GB the update did work.

 

Op 30-8-2017 om 11:28 PM, TimdeJongh zei:

Slagen !!! Ik heb mijn F940BT bijgewerkt, ik bewerking RenewalIFLib.dll van de eenheid en vervang deze. Dan kopieer ik de update van de SD-kaart en voer het uit met de Pioneer PW: PASSWORDPASSWORD eindig 25 minuten.

 

Offset 000019F0: 0350A0E3 vervangen met 0050A0E3
Offset 00001A10: 0350A0E3 vervangen met 0050A0E3
Offset 00001AD8: 0350A0E3 vervangen met 0050A0E3
Offset 00001C1C: 0250A0E3 vervangen met 0050A0E3
Offset 00001C24: 0150A0E3 vervangen met 0050A0E3
Offset 00001A3C: 0350A0E3 vervangen met 0050A0E3

 

Nu heb ik de kaarten van 2017 uit Europa.

 

Heel erg bedankt aan godzilla.

Hallo 

Share this post


Link to post
Share on other sites
On 9.2.2018 at 2:56 PM, timmen said:

Thank you Godzilla and RonS,

just finnished updating my F920BT to the 2017 map version!

1 I used the shortfuse hack (patched the altered renewallFlib.dll in Prg1)
2 next I booted with the 2017 update on SD card and when prompted entered the password PASSWORDPASSWORD.

Like a glove!

Unfortunately the bluetooth update did not fix my limp BT.
It still reads --------------- under BT version. As if there is nothing there to update from.
Do any of you know what files need to go in which folders using testmode.key?
If at all possible..

Thanx again to the Headunit Grandmasters! 

 

I have exactly the same BT problem. I managed to update the BT firmware via the supertestmode but it did not solve the issue for me. It seems that some settings in the application software are messed up. It might have to do with the file in \SETUP\BT\BTUNIT.DAT . Can anyone provide a copy of this file from a working unit?

Anyway, if someone wants to try to update the BT firmware via supertestmode, just put the 3 files that are contained in the latest map update in \FIRMWARE\BT on an SD-card in the folder \AVICZ110\BLUETOOTH and select update bluetooth firmware from the "forced firmware write" submenu in the supertestmode. Use the paths exactly as given even if you don't have an avic Z110.

You can also check if your BT module is working from the testmode. Just go into the "Tel test" submenu. here you can open and init the connection to the module and pair with your phone. Once paired you can dial a phone number from this menu. My BT module works fine this way. Also the BT firmware update was successful, but in the settings BT is still greyed-out. So it definitely must be a problem of the Pioneer application SW and not of the Parrot bluetooth firmware.

Share this post


Link to post
Share on other sites

Hi,

Thank you for the download!

I  installed shortfuse, and after that ran the update. But eventhough it seems finished, nothing changed, no new maps or interface. avic f840bt.

Can anyone help? thnx

 

Share this post


Link to post
Share on other sites
14 hours ago, marc86 said:

Hi,

Thank you for the download!

I  installed shortfuse, and after that ran the update. But eventhough it seems finished, nothing changed, no new maps or interface. avic f840bt.

Can anyone help? thnx

 

Depending on your previous version, you might not notice any changes unless a map in your area changed.  Go to settings / System Settings / Service Information

Verify it says v7.0.

Share this post


Link to post
Share on other sites

Hi, thanks for your quick reply. 

Yes, I see version 7.0, so it seems to be installed. I'm not sure about the previous version, I think it was 2.0. (2013?). I entered some new streets from the last years in my nav, but he couldn't find anyone...

The whole interface is the same as well. Is that normal?

I've two other things I would like to know (you seem to have a lot of knowledge about this subject!):

- I cant' see info about speed camera's. Do I have to download this seperately?

- Maybe something different, but my iPod nano (5th generation) and Samsung Galaxy S7 don't make a connection with the Pioneer 'media system'. Is this because I haven't (probably) CarPlay or are their some other tricks?

All the best from Holland!

Share this post


Link to post
Share on other sites
4 hours ago, marc86 said:

Hi, thanks for your quick reply. 

Yes, I see version 7.0, so it seems to be installed. I'm not sure about the previous version, I think it was 2.0. (2013?). I entered some new streets from the last years in my nav, but he couldn't find anyone...

The whole interface is the same as well. Is that normal?

I've two other things I would like to know (you seem to have a lot of knowledge about this subject!):

- I cant' see info about speed camera's. Do I have to download this seperately?

- Maybe something different, but my iPod nano (5th generation) and Samsung Galaxy S7 don't make a connection with the Pioneer 'media system'. Is this because I haven't (probably) CarPlay or are their some other tricks?

All the best from Holland!

I think there might be a few minor differences in the menus. Did you also update the Bluetooth to v3.32? 

I can't help with speed cameras. I think somewhere in this thread someone posted about that. We don't have that "feature" in the US.

I assume your iPod is wired and your Samsung is through BT. 

If you are trying to use Pandora or Aha, there is a setting somewhere called App Connection" where you select wired or wireless (BT).  iPods should be wired (USB) with the proper cable.  Some people have reported problems with Samsung via BT. But whenever there are problems after a major update I recommend to do a cold-start by disconnecting the battery for a few minutes.

 

Share this post


Link to post
Share on other sites
On 31-3-2018 at 10:07 AM, marc86 said:

Hi, thanks for your quick reply. 

Yes, I see version 7.0, so it seems to be installed. I'm not sure about the previous version, I think it was 2.0. (2013?). I entered some new streets from the last years in my nav, but he couldn't find anyone...

The whole interface is the same as well. Is that normal?

I've two other things I would like to know (you seem to have a lot of knowledge about this subject!):

- I cant' see info about speed camera's. Do I have to download this seperately?

- Maybe something different, but my iPod nano (5th generation) and Samsung Galaxy S7 don't make a connection with the Pioneer 'media system'. Is this because I haven't (probably) CarPlay or are their some other tricks?

All the best from Holland!

Hieronder heb je flitspalen, ze zijn helaas niet van deze tijd maar je kunt het proberen.Uitpakken en de map PC op een sd kaartje zetten en dan in je navigatie drukken, dan vraagt hij om zwarte punten te installeren en dan zouden ze erin moeten staan. Succes ermee :) 

Blackspots.rar

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×